<template>
  <div class="task-spacer" :class="{ 'task-spacer-active': isAdjoined }"></div>
</template>

<script>
export default {
  name: "TaskSpacer",
  props: { isAdjoined: { type: Boolean } },
};
</script>

<style scoped>
.task-spacer {
  height: 24px;
  transition: background-color 0.3s, box-shadow 0.3s;
  border-radius: 4px;
}
.task-spacer-active {
  box-shadow: 0 0 4px 0 rgba(142, 179, 255, 0.5);
  background-color: rgba(142, 179, 255, 0.5);
}
</style>
